Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class BasicOrbitView

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.AbstractView
                  gov.nasa.worldwind.BasicOrbitView

All Implemented Interfaces:
  AVList, View, WWObject, PropertyChangeListener, EventListener

    public class BasicOrbitView

extends AbstractView

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`BasicOrbitView()`

Method Summary
`LatLon` | `computeVisibleLatLonRange()`
`protected void` | `doApply(DrawContext dc)`
`double` | `getAltitude()` Returns the `View` eye altitude (in meters) above the last rendered `SectorGeometry`, or the analytical `Globe`, depending on the implementation.
`Frustum` | `getFrustum()` Returns the viewing `Frustum` in eye coordinates, computed in `apply()`.
`Angle` | `getHeading()` Returns the `View's` angle from true North.
`Angle` | `getPitch()` Returns the `View's` angle from the plane tangent to the surface.
`Angle[]` | `getPitchConstraints()` Returns a two-dimensional array containing the range of angles (inclusive) the `View` may limit its pitch to, if pitch constraints are enabled.
`Position` | `getPosition()` Returns the geographic (latitude, longitude, elevation) coordinate of the `View's` eye point.
`Angle` | `getRoll()` Returns the `View's` angle about its local z-axis.
`double` | `getZoom()` Returns the `View's` translation in its forward direction.
`double[]` | `getZoomConstraints()` Returns a two-dimensional array containing the range of values (inclusive) the `View` may limit its zoom to, if zoom constraints are enabled.
`void` | `goToAltitude(double newAltitude)` Moves the `View` eye point to the new altitude (in meters) above the last rendered `SectorGeometry`, or the analytical `Globe`, depending on the implementation.
`void` | `goToCoordinate(LatLon newLatLon, double newAltitude)` Moves the `View` eye point to the new polar coordinate (latitude, longitude, elevation).
`void` | `goToLatLon(LatLon newLatLon)` Moves the `View` eye point to the new geographic (latitude, longitude) coordinate.
`boolean` | `isEnablePitchConstraints()` Returns true when pitch constraints are enabled.
`boolean` | `isEnableZoomConstraints()` Returns true when zoom constraints are enabled.
`void` | `setEnablePitchConstraints(boolean enabled)` Enable or disable pitch constraints.
`void` | `setEnableZoomConstraints(boolean enabled)` Enable or disable zoom constraints.
`void` | `setHeading(Angle newHeading)` Sets the `View's` angle to true North.
`void` | `setPitch(Angle newPitch)` Sets the `View's` angle to the plane tangent to the surface.
`void` | `setPitchConstraints(Angle newMinPitch, Angle newMaxPitch)` Sets the range of angles (inclusive) the `View` may limit its pitch to, if pitch constraints are enabled.
`void` | `setRoll(Angle newRoll)` Sets the `View's` angle about its local z-axis.
`void` | `setZoom(double newZoom)` Sets the `View's` translation in its forward direction.
`void` | `setZoomConstraints(double newMinZoom, double newMaxZoom)` Sets the range of values (inclusive) the `View` may limit its zoom to, if zoom constraints are enabled.

Methods inherited from class gov.nasa.worldwind.AbstractView
`apply, applyMatrixState, computeHorizonDistance, computeHorizonDistance, computePixelSizeAtDistance, computePositionFromScreenPoint, computeRayFromScreenPoint, getEyePoint, getFieldOfView, getForwardVector, getFrustumInModelCoordinates, getModelViewMatrix, getProjectionMatrix, getUpVector, getViewport, popReferenceCenter, project, pushReferenceCenter, setFieldOfView, unProject, validateDrawContext`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### BasicOrbitView

    public BasicOrbitView()

Method Detail

### computeVisibleLatLonRange

    public LatLon computeVisibleLatLonRange()

### doApply

    protected void doApply(DrawContext dc)

  Specified by:
    `doApply` in class `AbstractView`

### getAltitude

    public double getAltitude()

  Description copied from interface: `View`
  Returns the `View` eye altitude (in meters) above the last rendered `SectorGeometry`, or the analytical `Globe`, depending on the implementation.

  Returns:
    the `View's` altitude (in meters) above the surface.

### getFrustum

    public Frustum getFrustum()

  Description copied from interface: `View`
  Returns the viewing `Frustum` in eye coordinates, computed in `apply()`. The `Frustum` is the portion of viewable space defined by three sets of parallel 'clipping' planes. The method `View.getFrustumInModelCoordinates()` maintains the shape of this `Frustum`, but it has been translated and aligned with the eye in model space.

  Returns:
    the current viewing frustum in eye coordinates.

### getHeading

    public Angle getHeading()

  Description copied from interface: `View`
  Returns the `View's` angle from true North.

  Returns:
    the angle from true North.

### getPitch

    public Angle getPitch()

  Description copied from interface: `View`
  Returns the `View's` angle from the plane tangent to the surface.

  Returns:
    the angle from the surface tangent plane.

### getPitchConstraints

    public Angle[] getPitchConstraints()

  Description copied from interface: `View`
  Returns a two-dimensional array containing the range of angles (inclusive) the `View` may limit its pitch to, if pitch constraints are enabled.

  Returns:
    a two-dimensional array, with the minimum and maximum pitch angles.

### getPosition

    public Position getPosition()

  Description copied from interface: `View`
  Returns the geographic (latitude, longitude, elevation) coordinate of the `View's` eye point. Latitude and longitude represent the coordinate directly beneath (or above) the `View`, while elevation represents the `View` altitude above the analytical `Globe` radius.

  Returns:
    the latitude and longitude coordinates of the eye point.

### getRoll

    public Angle getRoll()

  Description copied from interface: `View`
  Returns the `View's` angle about its local z-axis.

  Returns:
    the angle about the local z-axis.

### getZoom

    public double getZoom()

  Description copied from interface: `View`
  Returns the `View's` translation in its forward direction.

  Returns:
    translation along the forward direction.

### getZoomConstraints

    public double[] getZoomConstraints()

  Description copied from interface: `View`
  Returns a two-dimensional array containing the range of values (inclusive) the `View` may limit its zoom to, if zoom constraints are enabled.

  Returns:
    two-dimensional array, with the minimum and maximum zoom values.

### goToAltitude

    public void goToAltitude(double newAltitude)

  Description copied from interface: `View`
  Moves the `View` eye point to the new altitude (in meters) above the last rendered `SectorGeometry`, or the analytical `Globe`, depending on the implementation.

  Parameters:
    `newAltitude` - the new eye altitude (in meters) above the surface,

### goToCoordinate

    public void goToCoordinate(LatLon newLatLon,
                               double newAltitude)

  Description copied from interface: `View`
  Moves the `View` eye point to the new polar coordinate (latitude, longitude, elevation).

  Parameters:
    `newLatLon` - the new latitude and longitude of the eye point.
    `newAltitude` - the new eye altitude (in meters) above the surface,

### goToLatLon

    public void goToLatLon(LatLon newLatLon)

  Description copied from interface: `View`
  Moves the `View` eye point to the new geographic (latitude, longitude) coordinate. Altitude is left unchanged.

  Parameters:
    `newLatLon` - the new latitude and longitude of the eye point.

### isEnablePitchConstraints

    public boolean isEnablePitchConstraints()

  Description copied from interface: `View`
  Returns true when pitch constraints are enabled.

  Returns:
    true when pitch constraints are enabled.

### isEnableZoomConstraints

    public boolean isEnableZoomConstraints()

  Description copied from interface: `View`
  Returns true when zoom constraints are enabled.

  Returns:
    true when zoom constraints are enabled, false otherwise.

### setEnablePitchConstraints

    public void setEnablePitchConstraints(boolean enabled)

  Description copied from interface: `View`
  Enable or disable pitch constraints.

  Parameters:
    `enabled` - true when pitch constraints should be enabled, false otherwise.

### setEnableZoomConstraints

    public void setEnableZoomConstraints(boolean enabled)

  Description copied from interface: `View`
  Enable or disable zoom constraints.

  Parameters:
    `enabled` - trhe when zoom constraints should be enabled, false otherwise.

### setHeading

    public void setHeading(Angle newHeading)

  Description copied from interface: `View`
  Sets the `View's` angle to true North.

  Parameters:
    `newHeading` - the new angle to true North.

### setPitch

    public void setPitch(Angle newPitch)

  Description copied from interface: `View`
  Sets the `View's` angle to the plane tangent to the surface.

  Parameters:
    `newPitch` - the new angle to the surface tangent plane.

### setPitchConstraints

    public void setPitchConstraints(Angle newMinPitch,
                                    Angle newMaxPitch)

  Description copied from interface: `View`
  Sets the range of angles (inclusive) the `View` may limit its pitch to, if pitch constraints are enabled.

  Parameters:
    `newMinPitch` - the minimum pitch angle.
    `newMaxPitch` - the maximum pitch angle.

### setRoll

    public void setRoll(Angle newRoll)

  Description copied from interface: `View`
  Sets the `View's` angle about its local z-axis.

  Parameters:
    `newRoll` - the new angle about the local z-axis.

### setZoom

    public void setZoom(double newZoom)

  Description copied from interface: `View`
  Sets the `View's` translation in its forward direction.

  Parameters:
    `newZoom` - translation along the forward direction.

### setZoomConstraints

    public void setZoomConstraints(double newMinZoom,
                                   double newMaxZoom)

  Description copied from interface: `View`
  Sets the range of values (inclusive) the `View` may limit its zoom to, if zoom constraints are enabled.

  Parameters:
    `newMinZoom` - the minimum zoom value.
    `newMaxZoom` - the maximum zoom value.

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD